Mail archive
alpine-devel

[alpine-devel] [PATCH] Initial APKBUILD for scanssh

From: Fabian Affolter <fabian_at_affolter-engineering.ch>
Date: Sun, 3 Jul 2011 10:06:55 +0000

Package description:
ScanSSH supports scanning a list of addresses and networks for
open proxies, SSH protocol servers, Web and SMTP servers. Where
possible ScanSSH, displays the version number of the running
services. ScanSSH protocol scanner supports random selection
of IP addresses from large network ranges and is useful for
gathering statistics on the deployment of SSH protocol servers
in a company or the Internet as whole.
---
 testing/scanssh/APKBUILD |   33 +++++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)
 create mode 100644 testing/scanssh/APKBUILD
diff --git a/testing/scanssh/APKBUILD b/testing/scanssh/APKBUILD
new file mode 100644
index 0000000..4b91dfb
--- /dev/null
+++ b/testing/scanssh/APKBUILD
_at_@ -0,0 +1,33 @@
+# Contributor: Fabian Affolter <fabian_at_affolter-engineering.ch>
+# Maintainer:
+pkgname=scanssh
+pkgver=2.1
+pkgrel=0
+pkgdesc="Fast SSH server and open proxy scanner"
+url="http://monkey.org/~provos/scanssh/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="libpcap-dev libevent-dev libdnet-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://monkey.org/~provos/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="9fab4253b56b2d15367d4872b370cdcb  scanssh-2.1.tar.gz"
-- 
1.7.4.5
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sun Jul 03 2011 - 10:06:55 UTC